Index: /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_IRENE-AMD.fcm
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_IRENE-AMD.fcm	(revision 8379)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_IRENE-AMD.fcm	(revision 8380)
@@ -7,6 +7,7 @@
 %BASE_FFLAGS         -i4 -r8 -auto -align all -fp-model precise 
 %PROD_FFLAGS         -O3
+%%%PROD_FFLAGS       -O3 -qopt-report-phase=vec,loop -qopt-report=2
 %DEV_FFLAGS          -g -O2 -traceback -fp-stack-check -ftrapuv -check bounds
-%DEBUG_FFLAGS        -fpe0 -O0 -g -traceback -fp-stack-check -ftrapuv -check bounds -check all -init=arrays -init=snan
+%DEBUG_FFLAGS        -fpe0 -O0 -g -traceback -fp-stack-check -ftrapuv -check bounds -check all -init=arrays -init=snan -check noarg_temp_created
 %MPI_FFLAGS
 %OMP_FFLAGS          -qopenmp
Index: /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_IRENE.fcm
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_IRENE.fcm	(revision 8379)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_IRENE.fcm	(revision 8380)
@@ -7,4 +7,5 @@
 %BASE_FFLAGS         -i4 -r8 -auto -align all -fp-model precise 
 %PROD_FFLAGS         -O3
+%%%PROD_FFLAGS       -O3 -qopt-report-phase=vec,loop -qopt-report=2
 %DEV_FFLAGS          -g -O2 -traceback -fp-stack-check -ftrapuv -check bounds
 %DEBUG_FFLAGS        -fpe0 -O0 -g -traceback -fp-stack-check -ftrapuv -check bounds -check all -init=arrays -init=snan -check noarg_temp_created
Index: /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_JEANZAY_OPENMPI.fcm
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_JEANZAY_OPENMPI.fcm	(revision 8380)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_JEANZAY_OPENMPI.fcm	(revision 8380)
@@ -0,0 +1,15 @@
+%COMPILER            mpif90
+%LINK                mpif90
+%AR                  ar
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             CPP_FLUSH 
+%BASE_FFLAGS         -integer-size 32 -real-size 64 -align all -fp-model precise 
+%PROD_FFLAGS         -O3
+%DEV_FFLAGS          -g -O2 -traceback -fp-stack-check -ftrapuv -check bounds
+%DEBUG_FFLAGS        -fpe0 -O0 -g -traceback -fp-stack-check -ftrapuv -check bounds -check all -init=arrays -init=snan -check noarg_temp_created
+%MPI_FFLAGS
+%OMP_FFLAGS          -qopenmp
+%BASE_LD             
+%MPI_LD
+%OMP_LD              -qopenmp
Index: /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_JEANZAY_OPENMPI.path
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_JEANZAY_OPENMPI.path	(revision 8380)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-X64_JEANZAY_OPENMPI.path	(revision 8380)
@@ -0,0 +1,15 @@
+NETCDF_INCDIR=""
+NETCDF_LIBDIR=""
+NETCDF_LIB="-lnetcdff -lnetcdf -lstdc++"
+
+IOIPSL_INCDIR="-I${ORCHDIR}/../../lib -I${ORCHDIR}/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L${ORCHDIR}/../../lib -L${ORCHDIR}/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I${ORCHDIR}/../XIOS/inc"
+XIOS_LIBDIR="-L${ORCHDIR}/../XIOS/lib"
+XIOS_LIB="-lxios"
+
+OASIS_INCDIR="-I${ORCHDIR}/../oasis3-mct/BLD/build/lib"
+OASIS_LIBDIR="-L${ORCHDIR}/../oasis3-mct/BLD/lib"
+OASIS_LIB=""
Index: /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_LSCE_2023.fcm
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_LSCE_2023.fcm	(revision 8380)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_LSCE_2023.fcm	(revision 8380)
@@ -0,0 +1,15 @@
+%COMPILER            mpif90
+%LINK                mpif90
+%AR                  ar
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional
+%FPP_DEF              
+%BASE_FFLAGS         -i4 -r8 -fp-model precise -fimf-arch-consistency=true  
+%PROD_FFLAGS         -O3  
+%DEV_FFLAGS          -g -O2 -traceback -fp-stack-check -ftrapuv -check bounds
+%DEBUG_FFLAGS        -fpe0 -O0 -g -traceback -fp-stack-check -ftrapuv -init=arrays -init=snan -check bounds,noarg_temp_created
+%MPI_FFLAGS
+%OMP_FFLAGS          -openmp -openmp-threadprivate compat
+%BASE_LD             -i4 -r8
+%MPI_LD
+%OMP_LD              -openmp
Index: /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_LSCE_2023.path
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_LSCE_2023.path	(revision 8380)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_LSCE_2023.path	(revision 8380)
@@ -0,0 +1,12 @@
+NETCDF_INCDIR="-I $NETCDF4_DIR/include"
+NETCDF_LIBDIR="-L $NETCDF4_DIR/lib"
+NETCDF_LIB="-lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl -lstdc++"
+
+IOIPSL_INCDIR="-I${ORCHDIR}/../../lib -I${ORCHDIR}/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L${ORCHDIR}/../../lib -L${ORCHDIR}/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I${ORCHDIR}/../XIOS/inc"
+XIOS_LIBDIR="-L${ORCHDIR}/../XIOS/lib"
+XIOS_LIB="-lxios"
+
Index: /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_MESOIPSL.path
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_MESOIPSL.path	(revision 8379)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE/arch/arch-ifort_MESOIPSL.path	(revision 8380)
Index: /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-X64_IRENE-AMD.env	(revision 8379)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-X64_IRENE-AMD.env	(revision 8380)
@@ -11,5 +11,5 @@
 module load mpi/openmpi/4.1.4
 module load flavor/hdf5/parallel
-module load hdf5/1.12.0
+module load hdf5/1.12.2
 module load netcdf-fortran/4.5.3
 module load mkl/20.0.0
Index: /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-X64_JEANZAY_OPENMPI.env
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-X64_JEANZAY_OPENMPI.env	(revision 8380)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-X64_JEANZAY_OPENMPI.env	(revision 8380)
@@ -0,0 +1,14 @@
+# Compile and running environnemnet for Jean-Zay at IDRIS 
+#
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/ARCH/arch-X64_JEANZAY_OPENMPI.env $
+# $Date: 2023-10-06 16:17:55 +0200 (ven. 06 oct. 2023) $
+# $Revision: 8217 $
+
+module purge
+
+module load intel-compilers/19.1.3
+module load openmpi/4.0.5
+module load hdf5/1.12.0-mpi
+module load netcdf-c/4.7.4-mpi
+module load netcdf-fortran/4.5.3-mpi
+
Index: /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-ifort_LSCE_2023.env
===================================================================
--- /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-ifort_LSCE_2023.env	(revision 8380)
+++ /branches/ORCHIDEE_2_2/ORCHIDEE_OL/ARCH/arch-ifort_LSCE_2023.env	(revision 8380)
@@ -0,0 +1,19 @@
+# Compile and running environnemnet for obelix at LSCE 
+#
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/ARCH/arch-ifort_LSCE_2023.env $
+# $Date: 2023-10-02 12:38:36 +0200 (lun. 02 oct. 2023) $
+# $Revision: 8192 $
+set +e
+# source following file to initialize module command
+source /usr/share/Modules/init/bash
+module purge
+
+module load intel-fcomp/2020
+module load gcc/8.3.0
+module load openmpi/2.1.5
+module load hdf5/1.10.5
+module load netcdf/4.7
+
+export OMPI_FC=ifort
+export OMPI_CC=icc
+